<h2>Mandelbrotov Skup</h2>

<p>
  Kako bismo opisali postupak nastanka Mandelbrotovog fraktala, morat ćemo se najprije upoznati stemeljnijim pojmom – Mandelbrotovim skupom.
  Mandelbrotov skup je skup točaka u kompleksnoj ravnini, koji zadovoljava određeni uvjet s kojim ćemo se upoznati u nastavku, 
  i čiju granicu nazivamoMandelbrotovim fraktalom (fraktal je ime dobio prema matematičaru Benoîtu Mandelbrotu).
</p>

<div>
  Kako bi vizualizirali način izgradnje Mandelbrotovog fraktala, započet ćemo sa rekurzivnom funkcijom:

  <p>
    \[ z_{n + 1} = z_{n}^{2} + c \]
  </p>

  gdje je \( c \in \mathbb{C} \) neka točka kompleksne ravnine, a \( z_0 = 0 \).
  <br><br>
  <p>
    U geometrijskom smislu, zanima nas ako oko ishodišta kompleksne ravnine (točke \( 0 + 0i \) ) nacrtamo kružnicu radijusa \( \epsilon \), hoće li svi kompleksni brojevi koje generira ova rekurzivna jednadžba
    ostati unutar dijela kompleksne ravnine omeđenog tom kružnicom.  Ako je odgovor DA, tada kompleksni broj \( c \) za koji smo radili ispitivanje pripada Mandelbrotovom skupu. Ako je odgovor NE, 
    odnosno ako niz divergira, kompleksni broj \( c \) ne pripada Mandelbrotovom skupu. U praksi, \( \epsilon \) ćemo postaviti na 2 (pokazano je kako sve točke koje izađu iz tog radijusa divergiraju) a ispitivanje divergencije radit ćemo do neke dubine rekurzije.
  </p>
 
  Simulaciju koja za odabranu početnu točku kompleksne ravnine crta posjećene točke kompleksne ravnine do postavljene dubine ispitivanja nalazi se u nastavku.

  <p>
    Kako biste ispitali divergenciju za neku točku, potrebno je kliknuti na neku točku kompleksne ravnine (time odabirete početnu točku \( c \) ). 
    Simulacija će izračunati sve točke dobivene iz rekurivne jednadžbe (do zadane dubine) i tako dobivene točke nacrtati crnom bojom, radi lakšeg praćenja
    putanje, susjedne točke spojene su crvenom crtom. 
  </p>

</div>

/*@#page-include#(mandelbrot-div-line.html)*/

<h2>
  Crtanje Mandelbrotovog fraktala
</h2>

<div>
  No kako nacrtati Mandelbrotov fraktal? Uočimo da Mandelbrotov skup, baš kao i Mandelbrotov fraktal (granica tog skupa) imaju beskonačno točaka.
   S druge pak strane, ekran zaslona omogućavanam isključivo prikaz rastera - konačnog diskretnog niza slikovnih elemenata.
    Stoga ćemo za potrebe crtanja napraviti uzorkovanje točaka kompleksne ravnine, 
    i samo ćemo za njih provjeriti pripadaju lione Mandelbrotovom skupu ili ne. To ćemo napraviti tako da preklopimo pravokutni raster dimenzija \( x_{max} \), \( y_{max} \) preko kompleksne
    ravnine \( u_{max} \), \( v_{max} \) na \( x \) i \( y \) odnosno \( u \) i \( v \) osima pripadajućih ravnina. Točke u kompleksnoj ravnini izvan preklopljenog raspona ćemo zanemariti.
</div>

<p>
  Rezultat algoritma koji za svaku točku rastera računa točku kompleksne ravnine a potom i njezinu putanju (odnosno ispituje pripada li Mandelbrotovom skupu ili ne) može
  se vidjeti u simulaciji pritiskom na tipku "F1". Dubina do koje algoritam ispituje može se regulirati pomoću tipke "i" (engl. increase) te tipke "d" (engl. decrease).
  Za svaku točku za koju do te dubine algoritam utvrdi da pripada skupu, piksel će biti obojan sivom bojom, a inače bijelom.

  Upalite prikaz pomoću tipke "F1" i povećavajte dubinu ispitivanja tipkom "i" kako bi dobili precizniji rezultat algoritma. 
  Isprobajte točnost obojanog područja za dubinu 4 i 128 tako da podesite prvo jednu dubinu pa povlačenjem miša prolazite kroz obojano područje i 
  utvrdite konvergira li odabrana točka unutar obojanog područja a potom isto napravite sa dubinom 128.
</p>

<h3>Ostale mogućnosti</h3>
<p>
  Osim prikaza područja konvergencije moguće je približiti i udaljiti prikaz simulacije korištenjem kotačića miša. Pritiskom na tipku "F2" crtaju se samo točke
  koje su posjećene prilikom ispitivanja bez crte koja ih povezuje. Pritiskom na tipku "G" može se sakriti/prikazati koordinatni sustav, a tipka
  "H" sakriva ili prikazuje ispis trenutne točke kompleksne ravnine nad kojom se nalazi miš. Tipka "R" resetira trenutnu putanju divergencije.
</p>
